diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor
index 28c1ac9..fcb75ad 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor
@@ -1,72 +1,63 @@
-﻿@page "/goal/detail"
+﻿@page "/goals/detail/{id}"
+@attribute [Authorize]
+@layout MainLayout
+@inject IMediator _mediator
+
 <div class="section_header">
-    <h2>Mé definice cílů</h2>
-</div>
-<div>From - to</div>
-<section>
-    <div class="goal_def_item goal_item_closed">
-        <div class="goal_def_name">Název cíle</div>
-        <div class="goal_def_bottom">
-            <div class="goal_creator">
-                <span>David Vytvořílek</span>
-                <span>3. 5. 2021</span>
-            </div>
-            <div class="goal_percentile">
-                <span>80%</span>
-                <span>150%</span>
-            </div>
+    <div>
+        <h2>Název definice cílů</h2>
+        <div class="definition_daterange">
+            <i class="fal fa-clock"></i>
+            13.2.2021 - 12.2.2022
         </div>
     </div>
-</section>
-<aside class="goal_detail">
-    <div class="goal_detail_header">
-        Tools budou zde
-    </div>
-    <div class="goal_detail_body">
-        <div class="goal_detail_area">
-            <input class="goal_name" type="text" placeholder="Zadejte název cíle" />
-            <div class="goal_description_title">Popis cíle</div>
-            <textarea class="goal_description" placeholder="Vyplňte popis cíle"></textarea>
-        </div>
-        <div class="goal_communication_area">
-            <div class="goal_communication_item">
-                Dominik Chlouba vytvořil tento cíl. <span class="date">3. 5. 2021</span>
-            </div>
-            <div class="goal_communication_item">
-                <div class="item_tool">
-                    <div>Dominik Chlouba přidal komentář. <span class="date">3. 5. 2021</span></div>
-                    <div>Edit Smazat</div>
-                </div>
-                <p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.</p>
-            </div>
-            <div class="goal_communication_item">
-                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
-            </div>
-            <div class="goal_communication_item">
-                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
-            </div>
-            <div class="goal_communication_item">
-                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
-            </div>
-            <div class="goal_communication_item">
-                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
-            </div>
-            <div class="goal_communication_item">
-                Dominik Chlouba aktualizoval popis cíle. <span class="date">3. 5. 2021</span>
-            </div>
-        </div>
-    </div>
-    <div class="goal_detail_footer">
-        <textarea placeholder="Přidat soukromý či veřejný komentář"></textarea>
-        <div class="goal_comment_tools">
-            <select>
-                <option value="private">Soukromý</option>
-                <option value="public">Veřejný</option>
-            </select>
-            <button>Přidat komentář</button>
-        </div>
+    <div class="header_buttons">
+        <button type="button" @onclick="OpenCreateAside">
+            <i class="fal fa-plus"></i>
+            <span>Přidat cíl</span>
+        </button>
     </div>
-</aside>
+</div>
+@if (Goals is not null)
+{
+    <table class="actions" style="width:100%">
+        <tr>
+            <th>Název</th>
+            <th>Vytvořil</th>
+            <th>Datum vytvoření</th>
+            <th>Hodnocení uživatel</th>
+            <th>Hodnocení nadřízený</th>
+            <th>Akce</th>
+        </tr>
+        @foreach (var range in Goals)
+        {
+            <tr>
+                <td>Název cíle</td>
+                <td>David Vytvořílek</td>
+                <td>3.5.2021</td>
+                <td>80%</td>
+                <td>150%</td>
+                <td>
+                    <div class="flex">
+                        <div></div>
+                        <div @onclick='() => SetDetailId(Guid.NewGuid())'>
+                            <i class="fal fa-eye"></i>
+                            Otevřít
+                        </div>
+                    </div>
+                </td>
+            </tr>
+        }
+    </table>
+}
+else
+{
+    <div>Loading...</div>
+}
+
+<Leuze.Modules.Goal.Application.UI.Pages.Components.GoalDetailAside Show="DetailId != default(Guid)" DetailId="DetailId" CloseAside="CloseDetailAside" />
+<Leuze.Modules.Goal.Application.UI.Pages.Components.CreateGoalAside Show="ShowCreate" CloseAside="CloseCreateAside" />
+
 <BlazorStyled.Styled>
     .section_header {
     display: flex;
@@ -78,113 +69,113 @@
     font-size: 36px;
     margin: 0;
     }
-</BlazorStyled.Styled>
-<BlazorStyled.Styled>
-    .goal_detail {
-    width: 500px;
-    height: 100%;
-    position: fixed;
-    top: 0;
-    right: 0;
-    background-color: white;
-    -webkit-box-shadow: 0 0 5px 0 rgba(0,0,0,0.05);
-    -moz-box-shadow: 0 0 5px 0 rgba(0,0,0,0.05);
-    box-shadow: 0 0 5px 0 rgba(0,0,0,0.05);
-    }
-
-    .goal_detail_header {
-    padding: 12px 24px;
-    border-bottom: 1px solid #11111122;
-    height: 26px;
-    display: grid;
+    .section_header button {
+    border-radius: 4px;
+    border: none;
+    background-color: #E30613;
+    padding: 12px 16px;
+    color: #FFFFFF;
+    display: flex;
     align-items: center;
-    }
-
-    .goal_detail_body {
-    padding: 0 0 12px 0;
-    height: calc(100% - 143px - 50px - 12px);
-    overflow-y: auto;
-    background-color: #F6F8F9;
-    overflow-x: hidden;
-    }
-    .goal_detail_area {
-    background-color: white;
-    padding-top: 12px;
-    }
-    .goal_detail_body .goal_name {
-    padding: 8px 12px;
-    border: 1px solid white;
-    width: calc(100% - 24px);
+    cursor: pointer;
+    transition: .25s opacity;
     outline: none;
-    margin: 12px 24px 12px 24px;
     }
-    .goal_detail_body .goal_description {
-    padding: 8px 12px;
-    border: 1px solid white;
-    width: calc(100% - 24px);
-    outline: none;
-    margin: 12px 24px 24px 24px;
+    .section_header button:hover {
+    opacity: .6;
     }
-    .goal_detail_body .goal_description_title {
-    margin: 0 24px;
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    .definition_name {
+    margin: 0;
     }
-    .goal_detail_body .goal_name:hover, .goal_detail_body .goal_description:hover {
-    border: 1px solid #EEEEEE;
+
+    .definition_daterange {
+    padding-bottom: 24px;
+    padding-top: 8px;
     }
-    .goal_detail_body .goal_name:focus, .goal_detail_body .goal_description:focus {
-    border: 1px solid #A8A8A8;
+
+    .goal_creator {
+    padding-top: 8px;
     }
 
-    .goal_communication_area {
-    padding: 12px 0;
+    .goal_creator > span:not(:last-child) {
+    margin-right: 16px;
     }
-    .goal_communication_area .goal_communication_item {
-    background-color: #F6F8F9;
-    padding: 12px 0;
-    margin: 0 24px;
+
+    .goal_creator > span i {
+    margin-right: 4px;
     }
-    .goal_communication_area .goal_communication_item span.date {
-    color: #A8A8A8;
+    .goal_def_item {
+    -webkit-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    -moz-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.05);
+    padding: 12px 24px;
+    border-radius: 4px;
+    width: calc(100% - 48px);
+    transition: .25s transform;
+    cursor: pointer;
     }
-    .goal_communication_area .goal_communication_item .item_tool {
-    display: flex;
-    justify-content: space-between;
-    align-items: center;
+
+    .goal_def_item:hover {
+    transform: scale(1.005);
     }
-    .goal_communication_area .goal_communication_item:not(:last-child) {
-    border-bottom: 1px solid #11111122;
+
+    .goal_item_closed {
+    opacity: .5;
+    border: 1px solid #00000088;
     }
 
-    .goal_detail_footer{
-    background-color: #F6F8F9;
-    padding: 24px;
-    border-top: 1px solid #11111122;
-    height: 94px;
+    .goal_def_name {
+    font-size: 18px;
+    font-weight: 700;
+    color: #111111;
+    font-family: 'Arial';
     }
-    .goal_detail_footer textarea{
-    border-radius: 4px;
-    border: 1px solid gray;
-    resize: none;
-    padding: 8px 12px;
-    height: 50px;
-    width: calc(100% - 26px);
-    margin-bottom: 12px;
-    }
-    .goal_detail_footer .goal_comment_tools {
+
+    .goal_def_bottom {
     display: flex;
     justify-content: space-between;
     align-items: center;
     }
-    .goal_detail_footer .goal_comment_tools select {
-    border: none;
-    outline: none;
-    background-color: #F6F8F9;
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    table {
+    border-collapse: collapse;
+    margin-top: 24px !important;
     }
-    .goal_detail_footer .goal_comment_tools button {
-
+    table tr th { text-align: left; }
+    table.actions tr th:last-child, table.actions tr td:last-child { text-align: right; }
+    table tr {
+    border-bottom: 1px solid #EDEDED;
+    }
+    table tr:first-child { border-bottom: 1px solid #9D9D9D55; }
+    table tr th, table tr td {
+    padding: 12px 8px;
+    }
+    table tr:not(:first-child):hover {
+    background-color: #EDEDED55;
     }
 </BlazorStyled.Styled>
 
 @code {
 
+    [Parameter]
+    public string Id { get; set; }
+
+    public List<Guid> Goals { get; set; } = new() { Guid.NewGuid() };
+
+    public Guid DetailId { get; set; } = default(Guid);
+
+    public bool ShowCreate { get; set; } = false;
+
+    private void SetDetailId(Guid id) => DetailId = id;
+
+    private void CloseDetailAside() => DetailId = default(Guid);
+
+    private void OpenCreateAside() => ShowCreate = true;
+
+    private void CloseCreateAside() => ShowCreate = false;
+
+
 }
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor
new file mode 100644
index 0000000..d40c931
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor
@@ -0,0 +1,196 @@
+﻿@page "/goals"
+@attribute [Authorize]
+@layout MainLayout
+@inject IMediator _mediator
+@inject NavigationManager _nav 
+
+<div class="section_header">
+    <h2>Správa oblastí definic cílů</h2>
+    <button type="button" @onclick="() => OpenAside(default(Guid))">
+        <img src="/Resources/Icons/plus.svg" class="plus_icon" />
+        <span>Přidat oblast</span>
+    </button>
+</div>
+@if (Ranges is not null)
+{
+    <table class="actions" style="width:100%">
+        <tr>
+            <th>Platnost od</th>
+            <th>Platnost do</th>
+            <th>Hodnota VARI</th>
+            <th>Akce</th>
+        </tr>
+        @foreach (var range in Ranges)
+        {
+            <tr>
+                <td>24.4.2021</td>
+                <td>23.4.2022</td>
+                <td>-</td>
+                <td>
+                    <div class="flex">
+                        <div @onclick='() => _nav.NavigateTo("/goals/overview/test")'>
+                            <i class="fal fa-eye"></i>
+                            Zobrazit
+                        </div>
+                        <div @onclick="() => OpenAside(range)">
+                            <i class="fal fa-edit"></i>
+                            Upravit
+                        </div>
+                    </div>
+                </td>
+            </tr>
+        }
+    </table>
+    @if (Ranges.Count > 0)
+    {
+        <div class="pagination">
+            <div class="left">
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-double-left.svg" /></button>
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-left.svg" /></button>
+                <input type="number" @bind-value="PageNumber" />
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-right.svg" /></button>
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-double-right.svg" /></button>
+            </div>
+            <div class="right">Zobrazeno <b>@Ranges.Count z @Total</b></div>
+        </div>
+    }
+}
+else
+{
+    <div>Loading...</div>
+}
+<Leuze.Modules.Goal.Application.UI.Pages.Components.CreateDefinitionRangeAside Show="ShowAside" CloseAside="CloseAside" />
+
+<BlazorStyled.Styled>
+    .flex{
+    display: grid;
+    align-items: center;
+    grid-template-columns: repeat(2, 100px);
+    justify-content: right;
+    }
+    .flex > div:not(:last-child) {
+    margin-right: 8px;
+    }
+    .section_header {
+    display: flex;
+    justify-content: space-between;
+    align-items: center;
+    }
+    .section_header h2 {
+    color: #111111;
+    font-size: 36px;
+    margin: 0;
+    }
+    .section_header button {
+    border-radius: 4px;
+    border: none;
+    background-color: #E30613;
+    padding: 12px 16px;
+    color: #FFFFFF;
+    display: flex;
+    align-items: center;
+    cursor: pointer;
+    transition: .25s opacity;
+    outline: none;
+    }
+    .section_header button:hover {
+    opacity: .6;
+    }
+    .section_header button .plus_icon {
+    width: 18px;
+    height: 18px;
+    margin-right: 16px;
+    }
+    .section_header button span {
+    position: relative;
+    top: 1px;
+    }
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    table {
+    border-collapse: collapse;
+    margin-top: 60px !important;
+    }
+    table tr th { text-align: left; }
+    table.actions tr th:last-child, table.actions tr td:last-child { text-align: right; }
+    table tr {
+    border-bottom: 1px solid #EDEDED;
+    }
+    table tr:first-child { border-bottom: 1px solid #9D9D9D55; }
+    table tr th, table tr td {
+    padding: 12px 8px;
+    }
+    table tr:not(:first-child):hover {
+    background-color: #EDEDED55;
+    }
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    input::-webkit-outer-spin-button,
+    input::-webkit-inner-spin-button {
+    -webkit-appearance: none;
+    margin: 0;
+    }
+    input[type=number] {
+    -moz-appearance: textfield;
+    }
+    .pagination {
+    width: 100%;
+    display: flex;
+    justify-content: space-between;
+    align-items: center;
+    margin-top: 36px;
+    }
+    .pagination .left {
+    display: flex;
+    align-items: center;
+    }
+    .pagination button {
+    width: 34px;
+    height: 34px;
+    border: 1px solid #EEEEEE;
+    border-radius: 4px;
+    background-color: #FFFFFF;
+    cursor: pointer;
+    outline: none;
+    margin-right: 6px;
+    display: flex;
+    justify-content: center;
+    align-items: center;
+    }
+    .pagination input {
+    width: 30px;
+    height: 30px;
+    padding: 1px 12px;
+    outline: none;
+    margin-right: 6px;
+    border: 1px solid #EEEEEE;
+    border-radius: 4px;
+    }
+    .pagination_icon {
+    width: 18px;
+    height: 18px;
+    }
+</BlazorStyled.Styled>
+
+@code {
+
+    [Parameter]
+    public string Id { get; set; } = null!;
+
+    private List<Guid> Ranges { get; set; } = new() { Guid.NewGuid() };
+
+    private int PageNumber { get; set; } = 1;
+
+    private int PageSize { get; set; } = 12;
+
+    private int Total { get; set; } = 0;
+
+    private Guid AsideId { get; set; } = default(Guid);
+
+    private bool ShowAside { get; set; } = false;
+
+    private void OpenAside(Guid id) => (AsideId, ShowAside) = (id, true);
+
+    private void CloseAside() => (AsideId, ShowAside) = (default(Guid), false);
+
+}
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor
new file mode 100644
index 0000000..8b58da8
--- /dev/null
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor
@@ -0,0 +1,208 @@
+﻿@page "/goals/overview/{id}"
+@attribute [Authorize]
+@layout MainLayout
+@inject IMediator _mediator
+@inject NavigationManager _nav
+
+<div class="section_header">
+    <h2>Správa definic cílů</h2>
+    <div class="header_buttons">
+        <button type="button">
+            <i class="fal fa-layer-plus"></i>
+            <span>Inicializovat vše</span>
+        </button>
+        <button type="button" @onclick="() => OpenAside(default(Guid))">
+            <i class="fal fa-plus"></i>
+            <span>Přidat definici</span>
+        </button>
+    </div>
+</div>
+@if (Ranges is not null)
+{
+    <table class="actions" style="width:100%">
+        <tr>
+            <th>Název</th>
+            <th>Uživatel</th>
+            <th>Vytvořil</th>
+            <th>Akce</th>
+        </tr>
+        @foreach (var range in Ranges)
+        {
+            <tr>
+                <td>Nová definice</td>
+                <td>John Doe</td>
+                <td>Admin Admin</td>
+                <td>
+                    <div class="flex">
+                        <div @onclick='() => _nav.NavigateTo("/goals/detail/test")'>
+                            <i class="fal fa-eye"></i>
+                            Zobrazit
+                        </div>
+                        <div @onclick="() => OpenAside(range)">
+                            <i class="fal fa-edit"></i>
+                            Upravit
+                        </div>
+                    </div>
+                </td>
+            </tr>
+        }
+    </table>
+    @if (Ranges.Count > 0)
+    {
+        <div class="pagination">
+            <div class="left">
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-double-left.svg" /></button>
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-left.svg" /></button>
+                <input type="number" @bind-value="PageNumber" />
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-right.svg" /></button>
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-double-right.svg" /></button>
+            </div>
+            <div class="right">Zobrazeno <b>@Ranges.Count z @Total</b></div>
+        </div>
+    }
+}
+else
+{
+    <div>Loading...</div>
+}
+<Leuze.Modules.Goal.Application.UI.Pages.Components.CreateGoalDefinition Show="ShowAside" CloseAside="CloseAside" />
+
+<BlazorStyled.Styled>
+    .section_header {
+    display: flex;
+    justify-content: space-between;
+    align-items: center;
+    }
+    .section_header h2 {
+    color: #111111;
+    font-size: 36px;
+    margin: 0;
+    }
+    .section_header button {
+    border-radius: 4px;
+    border: none;
+    background-color: #E30613;
+    padding: 12px 16px;
+    color: #FFFFFF;
+    display: flex;
+    align-items: center;
+    cursor: pointer;
+    transition: .25s opacity;
+    outline: none;
+    }
+    .section_header button:hover {
+    opacity: .6;
+    }
+    .section_header button .plus_icon {
+    width: 18px;
+    height: 18px;
+    margin-right: 16px;
+    }
+    .section_header button span {
+    position: relative;
+    top: 1px;
+    }
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    table {
+    border-collapse: collapse;
+    margin-top: 60px !important;
+    }
+    table tr th { text-align: left; }
+    table.actions tr th:last-child, table.actions tr td:last-child { text-align: right; }
+    table tr {
+    border-bottom: 1px solid #EDEDED;
+    }
+    table tr:first-child { border-bottom: 1px solid #9D9D9D55; }
+    table tr th, table tr td {
+    padding: 12px 8px;
+    }
+    table tr:not(:first-child):hover {
+    background-color: #EDEDED55;
+    }
+</BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    .header_buttons{
+    display: flex;
+    align-items: center;
+    justify-content: right;
+    }
+    .header_buttons > button:not(:last-child) {
+        margin-right: 12px;
+    }
+    .flex{
+    display: grid;
+    align-items: center;
+    grid-template-columns: repeat(2, 100px);
+    justify-content: right;
+    }
+    .flex > div:not(:last-child) {
+    margin-right: 8px;
+    }
+    input::-webkit-outer-spin-button,
+    input::-webkit-inner-spin-button {
+    -webkit-appearance: none;
+    margin: 0;
+    }
+    input[type=number] {
+    -moz-appearance: textfield;
+    }
+    .pagination {
+    width: 100%;
+    display: flex;
+    justify-content: space-between;
+    align-items: center;
+    margin-top: 36px;
+    }
+    .pagination .left {
+    display: flex;
+    align-items: center;
+    }
+    .pagination button {
+    width: 34px;
+    height: 34px;
+    border: 1px solid #EEEEEE;
+    border-radius: 4px;
+    background-color: #FFFFFF;
+    cursor: pointer;
+    outline: none;
+    margin-right: 6px;
+    display: flex;
+    justify-content: center;
+    align-items: center;
+    }
+    .pagination input {
+    width: 30px;
+    height: 30px;
+    padding: 1px 12px;
+    outline: none;
+    margin-right: 6px;
+    border: 1px solid #EEEEEE;
+    border-radius: 4px;
+    }
+    .pagination_icon {
+    width: 18px;
+    height: 18px;
+    }
+</BlazorStyled.Styled>
+
+@code {
+
+    [Parameter]
+    public string Id { get; set; } = null!;
+
+    private List<Guid> Ranges { get; set; } = new() { Guid.NewGuid() };
+
+    private int PageNumber { get; set; } = 1;
+
+    private int PageSize { get; set; } = 12;
+
+    private int Total { get; set; } = 0;
+
+    private bool ShowAside { get; set; } = false;
+
+    private void OpenAside(Guid id) => (ShowAside) = (true);
+
+    private void CloseAside() => (ShowAside) = (false);
+
+}
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/MyGoalDefinition.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/MyGoalDefinition.razor
index fa10fd0..9a3da18 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/MyGoalDefinition.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/MyGoalDefinition.razor
@@ -1,20 +1,55 @@
 ﻿@page "/my-goals"
+@attribute [Authorize]
+@layout MainLayout
+@inject IMediator _mediator
+@inject NavigationManager _nav
+
 <div class="section_header">
     <h2>Mé definice cílů</h2>
 </div>
-<section>
-    <Microsoft.AspNetCore.Components.Routing.NavLink href="/goal/detail">
-        <div class="goal_def_item goal_item_closed">
-            <div class="goal_def_name">Název definice</div>
-            <div class="goal_def_bottom">
-                <div class="goal_def_date">
-                    <span>From - to</span>
-                </div>
-                <div class="goal_def_vari">VARI value</div>
+@if (Definitions is not null)
+{
+    <table class="actions" style="width:100%">
+        <tr>
+            <th>Název</th>
+            <th>Vytvořil</th>
+            <th>Akce</th>
+        </tr>
+        @foreach (var range in Definitions)
+        {
+            <tr>
+                <td>Název definice</td>
+                <td>David Vytvořílek</td>
+                <td>
+                    <div class="flex">
+                        <div></div>
+                        <div @onclick='() => _nav.NavigateTo("/goals/detail/test")'>
+                            <i class="fal fa-eye"></i>
+                            Otevřít
+                        </div>
+                    </div>
+                </td>
+            </tr>
+        }
+    </table>
+    @if (Definitions.Count > 0)
+    {
+        <div class="pagination">
+            <div class="left">
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-double-left.svg" /></button>
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-left.svg" /></button>
+                <input type="number" @bind-value="PageNumber" />
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-right.svg" /></button>
+                <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-double-right.svg" /></button>
             </div>
+            <div class="right">Zobrazeno <b>@Definitions.Count z @Total</b></div>
         </div>
-    </Microsoft.AspNetCore.Components.Routing.NavLink>
-</section>
+    }
+}
+else
+{
+    <div>Loading...</div>
+}
 <BlazorStyled.Styled>
     .section_header {
     display: flex;
@@ -57,7 +92,45 @@
     align-items: center;
     }
 </BlazorStyled.Styled>
+<BlazorStyled.Styled>
+    table {
+    border-collapse: collapse;
+    margin-top: 24px !important;
+    }
+    table tr th { text-align: left; }
+    table.actions tr th:last-child, table.actions tr td:last-child { text-align: right; }
+    table tr {
+    border-bottom: 1px solid #EDEDED;
+    }
+    table tr:first-child { border-bottom: 1px solid #9D9D9D55; }
+    table tr th, table tr td {
+    padding: 12px 8px;
+    }
+    table tr:not(:first-child):hover {
+    background-color: #EDEDED55;
+    }
+</BlazorStyled.Styled>
 
 @code {
 
+    public List<Guid> Definitions { get; set; } = new() { Guid.NewGuid() };
+
+    public Guid DetailId { get; set; } = default(Guid);
+
+    public bool ShowCreate { get; set; } = false;
+
+    private int PageNumber { get; set; } = 1;
+
+    private int PageSize { get; set; } = 12;
+
+    private int Total { get; set; } = 0;
+
+    private void SetDetailId(Guid id) => DetailId = id;
+
+    private void CloseDetailAside() => DetailId = default(Guid);
+
+    private void OpenCreateAside() => ShowCreate = true;
+
+    private void CloseCreateAside() => ShowCreate = false;
+
 }
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/_Imports.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/_Imports.razor
index 5f28270..ea3dfaa 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/_Imports.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/_Imports.razor
@@ -1 +1,26 @@
-﻿
\ No newline at end of file
+﻿@using System.Net.Http
+@using Microsoft.AspNetCore.Authorization
+@using Microsoft.AspNetCore.Components.Authorization
+@using Microsoft.AspNetCore.Components.Forms
+@using Microsoft.AspNetCore.Components.Routing
+@using Microsoft.AspNetCore.Components.Web
+@using Microsoft.AspNetCore.Components.Web.Virtualization
+@using Microsoft.JSInterop
+@using Leuze.Core.Application.UI.Shared
+@using BlazorStyled
+@using Microsoft.AspNetCore.Authentication
+@using Microsoft.AspNetCore.Identity
+@using Leuze.Core.Application.Identity
+@using Leuze.Core.Application.UI.Components.Login
+@using MediatR
+@using Leuze.Core.Application.CQRS.Users.Commands
+@using Leuze.Core.Application.CQRS.Auth.Commands
+@using Leuze.Core.Domain.Domains.Users.DTOs
+@using Leuze.Core.Application.CQRS.Users.Queries
+@using Leuze.Core.Application.UI.Shared.Components
+@using Leuze.Core.Application.UI.Pages.Users.Components
+@using Leuze.Core.Domain.Domains.Identity.DTOs
+@using Leuze.Core.Application.CQRS.Roles.Queries
+@using Blazored.Toast
+@using Blazored.Toast.Services
+@using Leuze.Core.Domain.Domains.Users
\ No newline at end of file
diff --git a/src/Presentation/Leuze.App/Leuze.App.csproj b/src/Presentation/Leuze.App/Leuze.App.csproj
index ba7b29a..1ae7a76 100644
--- a/src/Presentation/Leuze.App/Leuze.App.csproj
+++ b/src/Presentation/Leuze.App/Leuze.App.csproj
@@ -11,6 +11,7 @@
     <TargetFramework>net5.0</TargetFramework>
     <Nullable>enable</Nullable>
     <GenerateDocumentationFile>true</GenerateDocumentationFile>
+    <UserSecretsId>61d7eb1b-7e84-4d33-bf02-87517697a10c</UserSecretsId>
   </PropertyGroup>
 
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
@@ -22,7 +23,9 @@
   </ItemGroup>
 
   <ItemGroup>
-    <None Include="wwwroot\Resources\Icons\microsoft-logo.svg" />
+    <Resource Include="wwwroot\Resources\Icons\microsoft-logo.svg">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Resource>
   </ItemGroup>
 
   <ItemGroup>
